geos::noding::OrientedCoordinateArray Class Reference

Allows comparing `geom::CoordinateSequence`s in an orientation-independent way. More...

`#include <OrientedCoordinateArray.h>`

## Public Member Functions

| OrientedCoordinateArray (const geom::CoordinateSequence &p_pts)
int | compareTo (const OrientedCoordinateArray &o1) const
| Compares two `OrientedCoordinateArray`s for their relative order.
bool | operator== (const OrientedCoordinateArray &other) const

## Detailed Description

Allows comparing `geom::CoordinateSequence`s in an orientation-independent way.

## Constructor & Destructor Documentation

## OrientedCoordinateArray()

geos::noding::OrientedCoordinateArray::OrientedCoordinateArray | ( | const geom::CoordinateSequence & | p_pts | ) |

inline

Creates a new `OrientedCoordinateArray` for the given `geom::CoordinateSequence`.

Parameters

  p_pts | the coordinates to orient

Referenced by compareTo().

## Member Function Documentation

## compareTo()

int geos::noding::OrientedCoordinateArray::compareTo | ( | const OrientedCoordinateArray & | o1 | ) | const

Compares two `OrientedCoordinateArray`s for their relative order.

Returns
  -1 this one is smaller
  0 the two objects are equal
  1 this one is greater

In JTS, this is used automatically by ordered lists. In C++, operator< would be used instead....

References OrientedCoordinateArray().

Referenced by geos::noding::operator<().

The documentation for this class was generated from the following file:

- OrientedCoordinateArray.h